### Method

# FwupdPlugin CfiDevice set_block_size

since: 1.7.4

#### Declaration [src]

    void
    fu_cfi_device_set_block_size (
      FuCfiDevice* self,
      guint32 block_size
    )

#### Description [src]

Sets the chip block size. This is typically the largest erasable chunk size.

Available since: 1.7.4

#### Parameters

`block_size`

  Type: `guint32`

  Block size in bytes, or 0 if unknown.